<template>
  
    <img alt="Vue logo" src="./assets/logo.png">
    <TodoList />
 
</template>

<script>


import TodoList from './components/TodoList.vue'

export default {
  name: 'App',
  components: {
    
    TodoList
  }
}
</script>

<style lang="scss">
 @import url("https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css");

* {
  box-sizing: border-box;

}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
  max-width: 600px;
  margin: 0 auto;
  box-shadow: 0px 0px 17px 3px #ddd6d6;
  border-radius: 8px;
  padding: 15px 20px;
  
 
}


.todo-input {
  height: 50px;
  width: 100%;
  border-radius: 15px;
  border: 1px solid #000;
  text-align: center;
}
.todo-input:focus {
  height: 50px;
  width: 100%;
  border-radius: 15px;
  border: 1px solid #000;
  outline: none;
}


.todo-item {
  margin-bottom: 12px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  animation-duration: 0.2s;
}
.remove-item {
  cursor:pointer;
  color: #000;
  font-size: 24px;
  padding-left: 10px;

}
.remove-item:hover {
  color: #238eda;
}
.todo-item-left {
  display: flex;
  align-items: center;
  width:100%;
}
.todo-item-edit {
  font-size: 24px;
  margin-left: 12px;
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
}
.todo-item-edit:focus {
  outline: none;
}
.todo-item-label {
  padding: 10px;
  text-align: left;
  margin-left: 12px;
  border: 1px solid #fff;
  width: 100%;
}

.completed {
  color: grey;
  text-decoration: line-through
}

.extra-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 16px;
  border-top: 2px solid lightgrey;
  padding-top: 14px;
  margin-bottom: 14px;
}

button {
    font-size: 14px;
    background-color: white;
    appearance: none;
    margin: 3px;
    padding: 5px;
    border-radius: 8px;

    &:hover {
      background: lightgreen;
    }

    &:focus {
      outline: none;
    }
  }
.active {
    background: lightgreen;
  }

  // CSS Transitions
  .fade-enter-active, .fade-leave-active {
    transition: opacity .2s;
  }

  .fade-enter, .fade-leave-to {
    opacity: 0;
  }
</style>
